Name:		chewing-editor
Summary:	Cross platform chewing user phrase editor 
Version:	0.1.1
Release:	%mkrel 8
Group:		System/Internationalization
License:	GPLv2
URL:		https://chewing.im/
Source0:	https://github.com/chewing/chewing-editor/releases/download/v%{version}/%{name}-%{version}.tar.gz
Patch0:		chewing-editor-0.1.1-fix-build-against-qt-5.11.0.patch
Patch1:		chewing-editor-fix-desktop-icons-dir.patch
Patch2:		chewing-editor-cmake-4.0.patch
BuildRequires:	cmake
BuildRequires:	help2man
BuildRequires:	pkgconfig(chewing)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	qttools5

Requires:	libchewing

%description
chewing-editor is a cross platform chewing user phrase editor. 
It provides a easy way to manage user phrase. With it, user can 
customize their user phrase to increase input performance.

%prep
%autosetup -p1

%build
%cmake_qt5
%cmake_build

%install
%cmake_install

%files 
%doc COPYING README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/256x256/apps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/%{name}.1*


%changelog
* Thu Jul 10 2025 daviddavid <daviddavid> 0.1.1-8.mga10
+ Revision: 2252628
- fix build with cmake 4.0
- fix desktop icons dir
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Sun Apr 03 2022 umeabot <umeabot> 0.1.1-7.mga9
+ Revision: 1841987
- Mageia 9 Mass Rebuild

* Wed Dec 16 2020 umeabot <umeabot> 0.1.1-6.mga8
+ Revision: 1658221
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 0.1.1-5.mga8
+ Revision: 1524416
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sat Mar 30 2019 umeabot <umeabot> 0.1.1-4.mga7
+ Revision: 1381435
- Qt5 Rebuild

* Sat Sep 22 2018 umeabot <umeabot> 0.1.1-3.mga7
+ Revision: 1296119
- Mageia 7 Mass Rebuild

* Mon Jun 04 2018 daviddavid <daviddavid> 0.1.1-2.mga7
+ Revision: 1234420
- add patch to fix build with new Qt5 >= 5.11.0

* Wed May 04 2016 yochenhsieh <yochenhsieh> 0.1.1-1.mga6
+ Revision: 1009241
- new version 0.1.1

* Sat Apr 23 2016 yochenhsieh <yochenhsieh> 0.1.0-2.mga6
+ Revision: 1005664
- add Buildrequires help2man.
- remove invalid version in desktop file.
- imported package chewing-editor

